./emulators/twin, Cross-platform implementation of the Win32 API

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.1.14nb4, Package name: twin-3.1.14nb4, Maintainer: pkgsrc-users

Willows TWIN is a GNU software package for emulating the Microsoft
Win32 API. It consists of a library set and an emulator program. The
emulator program allows the execution of Windows binary applications
on supported platforms; using the native Intel x86 processors, or
through the built-in instruction set interpreter. The native
libraries allow programmers natively to build Win32 and MFC
applications from source code.


Required to build:
[pkgtools/x11-links]

Master sites:

SHA1: b1652f07adcc2c98948a4458480b2d8436cc893f
RMD160: e4b54f515505176498335387415dc5797b3e63eb
Filesize: 2164.275 KB

Version history: (Expand)


CVS history: (Expand)


   2015-12-29 07:15:29 by David A. Holland | Files touched by this commit (1)
Log message:
Sort.
   2015-11-03 21:31:11 by Alistair G. Crooks | Files touched by this commit (211)
Log message:
Add SHA512 digests for distfiles for emulators category

Problems found with existing digests:
	Package suse131_libSDL
	1c4d17a53bece6243cb3e6dd11c36d50f851a4f4 [recorded]
	da39a3ee5e6b4b0d3255bfef95601890afd80709 [calculated]
	Package suse131_libdbus
	de99fcfa8e2c7ced28caf38c24d217d6037aaa56 [recorded]
	da39a3ee5e6b4b0d3255bfef95601890afd80709 [calculated]
	Package suse131_qt4
	94daff738912c96ed8878ce1a131cd49fb379206 [recorded]
	886206018431aee9f8a01e1fb7e46973e8dca9d9 [calculated]

Problems found locating distfiles for atari800, compat12, compat 13,
compat14, compat15, compat20, compat30, compat40, compat50,
compat50-x11, compat51, compat51-x11, compat60, compat61,
compat61-x11, fmsx, osf1_lib, vice, xbeeb, xm7.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-01-01 11:05:52 by David A. Holland | Files touched by this commit (1)
Log message:
Broken on x86_64. Supposedly supports alpha, which is why this restriction
isn't all LP64PLATFORMS. Open question whether this package is worth fixing,
though.
   2012-10-03 14:55:23 by Aleksej Saushev | Files touched by this commit (104)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2012-01-03 01:51:11 by David A. Holland | Files touched by this commit (1)
Log message:
This package doesn't build on amd64 because there's absolutely zero
support for it. There is ostensibly alpha support so it might be
possible to make it work (although the number of cast warnings I see
makes me dubious) but it certainly isn't going to get fixed anytime
soon.
   2011-03-15 12:30:05 by OBATA Akio | Files touched by this commit (7) | Package updated
Log message:
* LICENSE=gnu-lgpl-v2
* add user-destdir installation support.
* fixes build failure on recent C compiler.
* disable debugger, it is not buildable.

Bump PKGREVISION.
   2009-08-25 14:32:56 by Thomas Klausner | Files touched by this commit (15)
Log message:
Remove BROKEN_IN variable. It was no maintained, and there was no
defined workflow for setting it, removing it, or removing packages
depending on it.
   2009-06-14 19:51:11 by Joerg Sonnenberger | Files touched by this commit (120)
Log message:
Remove @dirrm entries from PLISTs